#
# spec file for package traffic-vis (Version 0.35)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk1-compat-devel gtk2 gtk2-devel gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc libjpeg libnscd libpcap libpng libpng-devel libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules pango pango-devel patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           traffic-vis
BuildRequires:  gtk1-compat-devel libpcap
License:        GPL
Group:          Productivity/Networking/Diagnostic
Provides:       traf_vis 
Requires:       netpbm
Autoreqprov:    on
Version:        0.35
Release:        154.2
URL:            http://www.mindrot.org/traffic-vis.html
Summary:        Network Traffic Analysis Suite
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}.dif
Patch2:         %{name}-%{version}-multiline-fix.diff
Patch3:         %{name}-%{version}-warnings-fix.diff
Patch4:         %{name}-%{version}-libpcap.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      traf_vis

%description
traffic-vis is a suite of tools to help determine which hosts have been
communicating on an IP network, with whom they have been communicating,
and the volume of communication that has taken place. Output is in
plain text, HTML, or PostScript format.



Authors:
--------
    Damien Miller <dmiller@ilogic.com.au>

%debug_package
%prep
%setup
%patch
%patch2
%patch3
%patch4

%build
make SBINDIR=/usr/sbin MANDIR=/usr/share/man

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 ${RPM_BUILD_ROOT}/usr/sbin
install -d -m 755 ${RPM_BUILD_ROOT}/usr/share/man/man8
make install SBINDIR=${RPM_BUILD_ROOT}/usr/sbin MANDIR=${RPM_BUILD_ROOT}/usr/share/man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc BUGS CHANGELOG README TODO
/usr/sbin/*
%doc /usr/share/man/*/*

%changelog -n traffic-vis
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 12 2005 - sbrabec@suse.cz
- Force glib2 using gtk1-compat-devel.
* Tue Mar 08 2005 - postadal@suse.cz
- fixed traffic-togif (netpbm to requires, fix bin paths and warnings)
  [#67368]
* Thu Feb 12 2004 - ro@suse.de
- adapt to change in libpcap: include moved to pcap_bpf.h
* Thu Jul 24 2003 - postadal@suse.cz
- updated to version 0.35
* Fri Nov 15 2002 - postadal@suse.cz
- fixed deprecated multiline string literals
- fixed compilation warnings: "long long unsigned int format, u_int64_t"
* Mon Mar 12 2001 - uli@suse.de
- now using glib-config to get location of glib headers
* Wed Nov 29 2000 - smid@suse.cz
- renamed: traf_vis => traffic-vis
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Wed May 03 2000 - smid@suse.cz
- buildroot added
* Fri Mar 03 2000 - uli@suse.de
- moved man pages to /usr/share
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Sun Jul 11 1999 - mha@suse.de
- new package: traffic-vis (network traffic analyzer, accounting)
